Application: gvSIG desktop - gvSIG feature requests #3899
gvSIG in OSGeo4w
11/18/2015 11:40 AM - Alvaro Anguix

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Cesar Martinez Izquierdo

Category:

Target version:

gvSIG version: 2.3.0 Add-on resolve version:
Keywords: Add-on resolve build:

Has patch: Proyecto:

Add-on name: Unknown Hito:

Add-on version:

Description

We want to have gvSIG in OSGeo4w: https://trac.0sgeo.org/osgeodw/

History

#1 - 11/26/2015 06:03 PM - Cesar Martinez lzquierdo

Initial contact with OSGeo4w team done:

- There are Java and java-gdal packages on OSGeo4w, but nobody is maintaining them at the moment. We'll need to adopt these packages in order to
add gvSIG.

- OSGeo4w uses shared libraries (e.g. gdal), | assume we'll need to package gvSIG using the same version as the rest of the packages (to be
confirmed)

- Andrea Antonello will teach us the packaging essentials on the next gvSIG conference.

#2 - 12/10/2015 02:19 PM - Cesar Martinez Izquierdo
- File gvsig-osgeo-package-stub.tar.bz2 added

| attach the required files to automate the generation of the package for next versions.

#3 - 12/10/2015 02:20 PM - Cesar Martinez lzquierdo
- File upload-package.sh added
- File update-package.sh added

#4 - 12/10/2015 02:20 PM - Alvaro Anguix

- Status changed from New to Fixed

#5 - 12/11/2015 03:03 PM - Cesar Martinez lzquierdo
- File deleted (gvsig-osgeo-package-stub.tar.bz2)

#6 - 12/11/2015 03:04 PM - Cesar Martinez Izquierdo
- File gvsig-osgeo-package-stub.tar.bz2 added

#7 - 12/11/2015 03:23 PM - Cesar Martinez Izquierdo

Steps to use the attached files in order to update the package:
https://trac.osgeo.org/osgeo4w/

1- uncompress the package stub. Result: 'gvsig-osgeo-package' folder

2- use update-package.sh script to update the gvSIG version. It has to be launched from the 'gvsig-osgeo-package' folder, and it takes a mandatory

argument (the path to the new gvSIG Windows version as installed by the normal installer)

3- use upload-package.sh to generate the new package and upload it to OSGEO folders

4- regenerate the package index and promote to live as explained on upload-package.sh script

Done.

#8 - 12/21/2015 12:24 PM - Alvaro Anguix
- Target version set to 98
- Status changed from Fixed to Closed

#9 - 12/21/2015 12:24 PM - Alvaro Anguix
- Target version deleted (98)

Files

update-package.sh 1.22 KB 12/10/2015 Cesar Martinez Izquierdo
upload-package.sh 1023 Bytes 12/10/2015 Cesar Martinez Izquierdo
gvsig-osgeo-package-stub.tar.nz2 704 Bytes 12/11/2015 Cesar Martinez Izquierdo
